// Note: This list should match the locale files present in 'src/i18n/locales/' folder
export const APP_LOCALES = {
  af: 'Afrikaans',
  ar: 'عربى (Arabic)',
  be: 'белар (Belarusian)',
  bg: 'Bulgarian',
  bs: 'Bosanski (Bosnian)',
  ca: 'Català (Catalan)',
  cs: 'Čeština (Czech)',
  da: 'Dansk (Danish)',
  de: 'Deutsch (German)',
  el: 'ελληνικά (Greek)',
  'en-US': 'English',
  es: 'Español (Spanish, Castilian)',
  et: 'Eestlane (Estonian)',
  fa: 'فارسی (Persian)',
  fi: 'Suomalainen (Finnish)',
  fil: 'Pilipino (Filipino)',
  fr: 'Français (French)',
  ga: 'Gaeilge (Irish)',
  he: 'עִברִית (Hebrew)',
  hi: 'हिन्दी (Hindi)',
  hr: 'Hrvatski (Croatian)',
  hu: 'Magyar (Hungarian)',
  id: 'Bahasa (Indonesian)',
  it: 'Italiano (Italian)',
  ja: '日本語 (Japanese)',
  ka: 'ქართული (Georgian)',
  kk: 'қазақ (Kazakh)',
  ko: '한글 (Korean)',
  lv: 'Latviski (Latvian)',
  ms: 'Melayu (Malay)',
  nb: 'Bokmål (Norwegian)',
  'nl-BE': 'Vlaams',
  nl: 'Dutch, Flemish',
  no: 'Norsk (Norwegian)',
  pl: 'Polski (Polish)',
  'pt-BR': 'Português (Brazil)',
  pt: 'Português (Portuguese)',
  ro: 'Română (Romanian)',
  ru: 'Русский (Russian)',
  si: 'සිංහල (Sinhala)',
  sk: 'Slovenčina (Slovak)',
  sl: 'Slovenian',
  sq: 'shqiptare (Albanian)',
  sr: 'Srpski (Serbian)',
  sv: 'Svenska (Swedish)',
  te: 'తెలుగు (Telugu)',
  tr: 'Türkçe (Turkish)',
  uk: 'Українська (Ukrainian)',
  vi: 'Tiếng Việt (Vietnamese)',
  vls: 'Vlaams (West Flemish)',
  'zh-HANS': '简体中文 (Chinese Simplified)',
  'zh-HANT': '中文 (Chinese Traditional)',
  'zh-TW': '台語 (Chinese Taiwan)',
  zh: 'Chinese',
};

// Hunspell compatible keys
export const SPELLCHECKER_LOCALES = {
  // 'bg-BG': 'български език',
  // 'ca-es': 'Català',
  // 'cs-cz': 'Čeština',
  // 'da-dk': 'Dansk',
  // 'de-de': 'Deutsch',
  // 'el-gr': 'ελληνικά (Greek)',
  // 'en-gb': 'English (GB)',
  // 'en-us': 'English (US)',
  // 'es-es': 'Español',
  // 'et-ee': 'Estonian',
  // 'fa-ir': 'فارسی (Persian)',
  // 'fo-fo': 'Faroese',
  // 'fr-fr': 'Français',
  // 'he-il': 'עברית (Hebrew)',
  // 'hr-hr': 'Hrvatski jezik',
  // 'hu-hu': 'Magyar',
  // 'it-it': 'Italiano',
  // ko: 'Korean',
  // 'lt-lt': 'Lietuvių kalba',
  // 'lv-lv': 'Latviešu valoda',
  // 'nb-no': 'Norsk bokmål',
  // 'nl-nl': 'Nederlands',
  // 'pl-pl': 'Język polski',
  // 'pt-br': 'Português (Brazil)',
  // 'pt-pt': 'Português',
  // 'ro-ro': 'Limba română',
  // 'ru-ru': 'Русский (Russian)',
  // 'sk-sk': 'Slovenčina',
  // 'sl-si': 'Slovenski jezik',
  // sr: 'Српски језик (Serbian)',
  // 'sv-se': 'Svenska',
  // 'ta-in': 'தமிழ் (Tamil)',
  // 'tg-tg': 'Тоҷикӣ (Tajik)',
  // tr: 'Türkçe',
  // 'uk-ua': 'Українська (Ukrainian)',
  // vi: 'Tiếng Việt',

  af: 'Afrikaans',
  bg: 'български език',
  ca: 'Català',
  cs: 'Čeština',
  cy: 'Welsh',
  da: 'Dansk',
  de: 'Deutsch',
  el: 'ελληνικά (Greek)',
  'en-AU': 'English (Australia)',
  'en-CA': 'English (Canada)',
  'en-GB': 'English (Great Britain)',
  'en-US': 'English (United States)',
  es: 'Español',
  'es-AR': 'Español (Argentina)',
  'es-ES': 'Español (España)',
  'es-MX': 'Español (Mexico)',
  'es-US': 'Español (Estados Unidos)',
  et: 'Eesti',
  fa: 'فارسی (Persian)',
  fo: 'Føroyskt',
  fr: 'Français',
  he: 'עברית (Hebrew)',
  hi: 'नहीं। (Hindi)',
  hr: 'Hrvatski jezik',
  hu: 'Magyar',
  hy: 'հայերեն (Armenian)',
  id: 'bahasa Indonesia',
  it: 'Italiano',
  ko: 'Korean',
  lt: 'Lietuvis',
  lv: 'Latviešu valoda',
  nb: 'Norsk bokmål',
  nl: 'Nederlands',
  pl: 'Język polski',
  'pt-BR': 'Português (Brasil)',
  'pt-PT': 'Português (Portugal)',
  ro: 'Limba română',
  ru: 'Русский (Russian)',
  sh: 'Srpsko hrvatski',
  sk: 'Slovenčina',
  sl: 'Slovenščina',
  sq: 'Shqip',
  sv: 'Svenska',
  ta: 'தமிழ் (Tamil)',
  tg: 'Тоҷикӣ (Tajik)',
  tr: 'Türkçe',
  uk: 'Українська (Ukrainian)',
  vi: 'Tiếng Việt',
};

export default APP_LOCALES;
